> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corrily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Products

> Retrieve details of all Corrily products.

<RequestExample>
  ```bash Bash theme={null}
  curl --location --request GET 'https://client.corrily.com/v1/products'
  ```
</RequestExample>

<ResponseExample>
  ```json Example theme={null}
  {
    "message": "Successfully retrieved product.",
    "success": true,
    "products": [
    {
    "api_id": "monthly",
    "name": "Monthly Product",
    "base_px": 10.0,
    "max_px": 999.0,
    "min_px": 0.0,
    "integrations": [
      {
        "type": "stripe",
        "stripe_product_id": "my_stripe_pid"
      }
    ]
  },
    {
    "api_id": "yearly",
    "name": "Yearly Product",
    "base_px": 100.0,
    "max_px": 9999.0,
    "min_px": 100.0,
    "integrations": [
      {
        "type": "stripe",
        "stripe_product_id": "my_stripe_pid_yearly"
      }
    ]
  }

  ]
  ```
</ResponseExample>

## Response

<ResponseField name="success" type="boolean">
  Whether or not the request completed successfully.
</ResponseField>

<ResponseField name="message" type="string">
  Text information about request status. In case of an error here will be a useful explanation.
</ResponseField>

<ResponseField name="products" type="array">
  List of all your products

  <Expandable>
    <ResponseField name="product" type="object">
      Look for the product description on the page [Get Product](get-product).
    </ResponseField>
  </Expandable>
</ResponseField>
